package cz.utb.tadis.auth.http;

import javax.validation.constraints.Pattern;

public class UpdateProfileRequest extends UserRequest {

    private String oldPassword;

    @Pattern(regexp="^$|^(?=.*[A-Z])(?=.*[0-9])(?=.*[a-z]).{8,}$")
    private String newPassword;

    public UpdateProfileRequest(String email, String firstName, String lastName, String company, String position, String oldPassword, String newPassword) {
        super(email, firstName, lastName, company, position);
        this.oldPassword = oldPassword;
        this.newPassword = newPassword;
    }

    public String getOldPassword() {
        return oldPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }
}
